
package mage.cards.d;

import java.util.UUID;
import mage.abilities.Ability;
import mage.abilities.common.SimpleActivatedAbility;
import mage.abilities.costs.mana.ManaCostsImpl;
import mage.abilities.effects.common.AttachEffect;
import mage.abilities.effects.common.counter.AddCountersAttachedEffect;
import mage.abilities.keyword.EnchantAbility;
import mage.cards.CardImpl;
import mage.cards.CardSetInfo;
import mage.constants.CardType;
import mage.constants.SubType;
import mage.constants.Outcome;
import mage.constants.Zone;
import mage.counters.CounterType;
import mage.target.TargetPermanent;
import mage.target.common.TargetCreaturePermanent;

/**
 *
 * @author LevelX2
 */
public final class DailyRegimen extends CardImpl {

    public DailyRegimen(UUID ownerId, CardSetInfo setInfo) {
        super(ownerId,setInfo,new CardType[]{CardType.ENCHANTMENT},"{W}");
        this.subtype.add(SubType.AURA);


        // Enchant creature
        TargetPermanent auraTarget = new TargetCreaturePermanent();
        this.getSpellAbility().addTarget(auraTarget);
        this.getSpellAbility().addEffect(new AttachEffect(Outcome.AddAbility));
        Ability ability = new EnchantAbility(auraTarget);
        this.addAbility(ability);
        // {1}{W}: Put a +1/+1 counter on enchanted creature.
        this.addAbility(new SimpleActivatedAbility(
                Zone.BATTLEFIELD,
                new AddCountersAttachedEffect(CounterType.P1P1.createInstance(),"enchanted creature"),
                new ManaCostsImpl<>("{1}{W}")));
    }

    private DailyRegimen(final DailyRegimen card) {
        super(card);
    }

    @Override
    public DailyRegimen copy() {
        return new DailyRegimen(this);
    }
}
