package mage.cards.g;

import mage.MageInt;
import mage.abilities.effects.common.continuous.BoostTargetEffect;
import mage.cards.AdventureCard;
import mage.cards.CardSetInfo;
import mage.constants.CardType;
import mage.constants.Duration;
import mage.constants.SubType;
import mage.target.common.TargetCreaturePermanent;

import java.util.UUID;

/**
 * @author TheElk801
 */
public final class GarenbrigCarver extends AdventureCard {

    public GarenbrigCarver(UUID ownerId, CardSetInfo setInfo) {
        super(ownerId, setInfo, new CardType[]{CardType.CREATURE}, new CardType[]{CardType.INSTANT}, "{3}{G}", "Shield's Might", "{1}{G}");

        this.subtype.add(SubType.HUMAN);
        this.subtype.add(SubType.WARRIOR);
        this.power = new MageInt(3);
        this.toughness = new MageInt(2);

        // Shield's Might
        // Target creature gets +2/+2 until end of turn.
        this.getSpellCard().getSpellAbility().addEffect(new BoostTargetEffect(2, 2, Duration.EndOfTurn));
        this.getSpellCard().getSpellAbility().addTarget(new TargetCreaturePermanent());
    }

    private GarenbrigCarver(final GarenbrigCarver card) {
        super(card);
    }

    @Override
    public GarenbrigCarver copy() {
        return new GarenbrigCarver(this);
    }
}
